package com.sv.dto.api;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.sv.entity.*;
import com.sv.json.LocalTimeSerializer;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalTime;
import java.util.Date;

/**
 * DTO - 用户预约的场馆课程票号详情
 *
 * @author lihong
 * @since 2018-08-06
 */
public class MemberLessonTicketDetailDTO extends MemberLessonTicket {
    private VenueLessonDTO venueLesson;
    private Order order;
    private Venue venue;
    private MemberCard memberCard = new MemberCard();
    private Integer lessonCount;

    public VenueLessonDTO getVenueLesson() {
        return venueLesson;
    }

    public void setVenueLesson(VenueLessonDTO venueLesson) {
        this.venueLesson = venueLesson;
    }

    public Order getOrder() {
        return order;
    }

    public void setOrder(Order order) {
        this.order = order;
    }

    public Venue getVenue() {
        return venue;
    }

    public void setVenue(Venue venue) {
        this.venue = venue;
    }

    public MemberCard getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(MemberCard memberCard) {
        this.memberCard = memberCard;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }
}